condivisi.servlet

## Class GestoreContesto

- java.lang.Object
- - condivisi.servlet.GestoreContesto

-     public class GestoreContesto
      extends Object

  `GestoreContesto` contiene i metodi per leggere o scrivere i dati del contesto web.
  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.servlet.ServletContext` | `context` Contesto web.
    `private static ArrayList<String>` | `righeMorsetti`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GestoreContesto()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addRigheMorsetto(String descMorsetto)`
    `static void` | `crea(javax.servlet.ServletContext contesto)` Crea il contesto.
    `static String` | `getAttributo(String chiave)` Restituisce un attributo identificato da chiave.
    `static Cache` | `getCacheMedici()`
    `static String` | `getFlagStampaMorsetti()` Restituisce il flag StampaMorsetti
    `static String` | `getFlagSunCRL()` Restituisce il flag flagSunCRL
    `static String` | `getFlagUsoCache()` Restituisce il flag flagUsoCache
    `static HashMap<String,X509CRL>` | `getMapCRL(boolean updateCrl)`
    `static String` | `getNumMorsetti()`
    `static ArrayList<String>` | `getRigheMorsetti()`
    `static String` | `getUrlFlagStampaSoapMessage()` Restituisce il flag flagStampaSoapMessage
    `static String` | `getUrlIntegrazioneScatel()` Restituisce l'url dello scatel
    `static void` | `setRigheMorsetti(ArrayList<String> descMorsetto)`
    `static void` | `setUrlIntegrazioneScatel(String urlIntegrazioneScatel)` Setta l'url dello scatel

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          public static javax.servlet.ServletContext context

      Contesto web.

    - #### righeMorsetti

          private static ArrayList<String> righeMorsetti

  - ### Constructor Detail

    - #### GestoreContesto

          public GestoreContesto()

  - ### Method Detail

    - #### crea

          public static void crea(javax.servlet.ServletContext contesto)

      Crea il contesto.
      Parameters:
        `contesto` - web

    - #### getAttributo

          public static String getAttributo(String chiave)

      Restituisce un attributo identificato da chiave.
      Parameters:
        `chiave` - chiave
      Returns:
        attributo

    - #### getUrlIntegrazioneScatel

          public static String getUrlIntegrazioneScatel()

      Restituisce l'url dello scatel
      Returns:
        String url dello scatel

    - #### setUrlIntegrazioneScatel

          public static void setUrlIntegrazioneScatel(String urlIntegrazioneScatel)

      Setta l'url dello scatel
      Parameters:
        `urlIntegrazioneScatel` - url dello scatel

    - #### getUrlFlagStampaSoapMessage

          public static String getUrlFlagStampaSoapMessage()

      Restituisce il flag flagStampaSoapMessage
      Returns:
        String flagStampaSoapMessage

    - #### getFlagStampaMorsetti

          public static String getFlagStampaMorsetti()

      Restituisce il flag StampaMorsetti
      Returns:
        String flagStampaMorsetti

    - #### getFlagSunCRL

          public static String getFlagSunCRL()

      Restituisce il flag flagSunCRL
      Returns:
        String flagSunCRL

    - #### getFlagUsoCache

          public static String getFlagUsoCache()

      Restituisce il flag flagUsoCache
      Returns:
        String

    - #### getCacheMedici

          public static Cache getCacheMedici()

    - #### getNumMorsetti

          public static String getNumMorsetti()

    - #### getRigheMorsetti

          public static ArrayList<String> getRigheMorsetti()

    - #### setRigheMorsetti

          public static void setRigheMorsetti(ArrayList<String> descMorsetto)

    - #### addRigheMorsetto

          public static void addRigheMorsetto(String descMorsetto)

    - #### getMapCRL

          public static HashMap<String,X509CRL> getMapCRL(boolean updateCrl)
                                                   throws CertificateException,
                                                          CRLException,
                                                          IOException

      Throws:
        `CertificateException`
        `CRLException`
        `IOException`